import { ApiNode } from './ApiNode';
export type ApiPoolNodes = {
    name: string;
    nodes: [ApiNode, ...ApiNode[]];
    buckets: {
        uri: string;
        terseBucketsBase: string;
        terseStreamingBucketsBase: string;
    };
    bucketNames: Array<{
        bucketName: string;
        uuid: string;
    }>;
    remoteClusters: {
        uri: string;
        validateURI: string;
    };
    alerts: string[];
    alertsSilenceURL: string;
    controllers: {
        addNode: {
            uri: string;
        };
        rebalance: {
            uri: string;
        };
        failOver: {
            uri: string;
        };
        startGracefulFailover: {
            uri: string;
        };
        reAddNode: {
            uri: string;
        };
        reFailOver: {
            uri: string;
        };
        ejectNode: {
            uri: string;
        };
        setRecoveryType: {
            uri: string;
        };
        setAutoCompaction: {
            uri: string;
            validateURI: string;
        };
        clusterLogsCollection: {
            startURI: string;
            cancelURI: string;
        };
        replication: {
            createURI: string;
            validateURI: string;
        };
    };
    rebalanceStatus: 'none' | (string & NonNullable<unknown>);
    rebalanceProgressUri: string;
    stopRebalanceUri: string;
    nodeStatusesUri: string;
    nodeServicesUri: string;
    maxBucketCount: number;
    maxCollectionCount: number;
    maxScopeCount: number;
    autoCompactionSettings: {
        parallelDBAndViewCompaction: boolean;
        magmaFragmentationPercentage: number;
        databaseFragmentationThreshold: {
            percentage: number;
            size: 'undefined' | (string & NonNullable<unknown>);
        };
        viewFragmentationThreshold: {
            percentage: number;
            size: 'undefined' | (string & NonNullable<unknown>);
        };
        indexCompactionMode: 'circular' | (string & NonNullable<unknown>);
        indexCircularCompaction: {
            daysOfWeek: string;
            interval: {
                fromHour: number;
                toHour: number;
                fromMinute: number;
                toMinute: number;
                abortOutside: boolean;
            };
        };
        indexFragmentationThreshold: {
            percentage: number;
        };
    };
    tasks: {
        uri: string;
    };
    counters: {
        rebalance_failure?: number;
        rebalance_success?: number;
        rebalance_start?: number;
    };
    indexStatusURI: string;
    trustedCAsURI: string;
    clusterName: string;
    clusterEncryptionLevel: 'none' | (string & NonNullable<unknown>);
    balanced: true;
    checkPermissionsURI: string;
    memoryQuota: number;
    indexMemoryQuota: number;
    ftsMemoryQuota: number;
    cbasMemoryQuota: number;
    eventingMemoryQuota: number;
    storageTotals: {
        ram: {
            total: number;
            quotaTotal: number;
            quotaUsed: number;
            used: number;
            usedByData: number;
            quotaUsedPerNode: number;
            quotaTotalPerNode: number;
        };
        hdd: {
            total: number;
            quotaTotal: number;
            used: number;
            usedByData: number;
            free: number;
        };
    };
    serverGroupsUri: string;
};
