import { OneOf } from '@cbjsdev/shared';
type DiscriminatingKeyspaceProps = OneOf<[
    {
        /**
         * Bucket name.
         */
        keyspace_id: string;
    },
    {
        /**
         * Bucket name
         */
        bucket_id: string;
        /**
         * Scope name.
         */
        scope_id: string;
        /**
         * Collection name.
         */
        keyspace_id: string;
    }
]>;
export type ApiSearchIndex = DiscriminatingKeyspaceProps & {
    datastore_id: string;
    id: string;
    /**
     * Index name.
     */
    name: string;
    index_key: [string, ...string[]];
    namespace_id: string;
    state: 'online' | 'deferred' | (string & NonNullable<unknown>);
    using: 'fts';
};
export {};
